//+------------------------------------------------------------------+
//|                                                  RubberBand .mq4 |
//|                      Copyright  2006, FX Sniper.                |
//|                             http://www.fxsniper.myblogstorage.net|
//+------------------------------------------------------------------+
#property  copyright "Copyright  2006, FX Sniper"
#property  link      "http://www.fxsniper.myblogstorage.net"
#property  indicator_separate_window
#property  indicator_buffers 2
#property  indicator_color1  Green
#property  indicator_color2  White
extern int TimePeriod=5;
double     ExtBuffer0[];
double     ExtBuffer1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorBuffers(5);
   SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_SOLID,1);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,1);
   SetIndexBuffer(0,ExtBuffer0);
   SetIndexBuffer(1,ExtBuffer1);
   IndicatorShortName("RubberBands ("+TimePeriod+")");
   SetIndexLabel(1,NULL);
   SetIndexLabel(2,NULL);
   return(0);
  }
//+------------------------------------------------------------------+
//| Momentum Calcs                                                   |
//+------------------------------------------------------------------+
int start()
  {
  
   
  
  
  
   int    limit;

   limit=Bars-2-TimePeriod;
   
   for(int i=limit; i>0; i--)
      {
      ExtBuffer0[i]=Close[i]-Close[i+TimePeriod];
      ExtBuffer1[i]=Low[i]-Low[i+TimePeriod];
      }

   return(0);
  }